package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.BCoDischargePlan;
import cn.cecep.talroad.vo.analysis.CoPlanAllInfo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


public interface BCoDischargePlanService extends IService<BCoDischargePlan>{


    int batchInsert(List<BCoDischargePlan> list);


    BCoDischargePlan newPlan(String factoryId);

    IPage<CoPlanAllInfo> selectCoAllInfoService(CoPlanAllInfo info);

    List<CoPlanAllInfo> selectCoAllInfoServiceList(CoPlanAllInfo info);
}
